#include "solveODE.h"
#include "DataRec.h"

int main()
{
// initial conditions
	double y[] = {30.0, 10.0};
	double h = 0.2;
	int iteration = 3000;

//--------------------------------
	int n = sizeof(y)/sizeof(double);
	int i;
	double x;

	CsolveODE de;
	CDataRecorder rec;

	de.initState(n,h,y);

	de.M = 100;
	de.sigma = 30;
	de.K = 20;

	rec.Start(n,y);

	for(i=0;i<iteration;i++){
		x = h*i;
		rec.StoreData(x);
		de.rk4(x);
	}
	rec.Stop();
	rec.Replay();
	return 0;
}


